@font-face {
	font-family: Montserrat;
	src: url("https://static.cpupv.es/fonts/Montserrat-VF.woff2") format(woff2);
}

@font-face{
    font-display: block;
    font-family: bootstrap-icons;
    src:url("https://static.cpupv.es/fonts/bootstrap-icons.woff2?dd67030699838ea613ee6dbda90effa6") format("woff2")
}

:root {
    font-family: Montserrat;
    --logo-color-orange: 255, 104, 74;    /* #FF684A; */
    --logo-color-yellow: 255, 194, 72;    /* #FFC248; */
    --main-color: 255, 104, 74;           /* #ff684a; */
    --sub-color: 255, 149, 98;            /* #ff9562; */

    --light-sub-alt-color: 253, 211, 191; /* #fdd3bf; */
    --dark-sub-alt-color: 253, 211, 191;  /* #fdd3bf; */

    --light-hint-color: 255, 221, 206;    /* #ffddce; */
    --dark-hint-color: 16, 16, 16;        /* #0f0f0f; */

    --light-bg-color: 255, 255, 255;      /* #FFFFFF; */
    --dark-bg-color: 0, 0, 0;             /* #000000; */

    --light-text-color: 255, 255, 255;    /* #FFFFFF; */
    --dark-text-color: 0, 0, 0;           /* #000000; */

    --sub-alt-color: var(--light-sub-alt-color);
    --hint-color: var(--light-hint-color);
    --bg-color: var(--light-bg-color);
    --text-color: var(--dark-text-color);
}

.dark-mode {
    --sub-alt-color: var(--dark-sub-alt-color);
    --hint-color: var(--dark-hint-color);
    --bg-color: var(--dark-bg-color);
    --text-color: var(--light-text-color);
}

body:not(.dark-mode) .dark-mode-only {
    display: none;
}

.dark-mode .light-mode-only {
    display: none;
}

* {
	padding: 0;
	margin: 0;
	border: 0;
	box-sizing: border-box;
}

body {
    background-color: rgb(var(--bg-color));
    font-family: Montserrat;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    position: absolute;
    min-height: 100vh;
    color: rgb(var(--text-color));
    width: 100%;
}


/************************************************

          HEADER, FOOTER AND SECTIONS

************************************************/

/* Content max 1920px, always centered */
.page-centered-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}
.page-centered-content {
    width: 100%;
    max-width: 1920px;
    padding: 0 3em;
}

header, footer {
    width: 100%;
}

header {
    background-color: rgba(var(--hint-color), 0.5);
    /* box-shadow: 0 0 16px 0 rgba(var(--logo-color-orange), 0.125); */
    position: fixed;
    z-index: 1;
    backdrop-filter: saturate(180%) blur(20px);
}

header > .page-centered-content {
    min-height: 5em;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.header-logo, .header-logo * {
    height: 4em;
}

.hide-header {
    animation: hide-header-anim 0.25s cubic-bezier(.25,.77,.5,1) 0s 1 normal forwards;
}

.show-header {
    animation: show-header-anim 0.25s cubic-bezier(.25,.77,.5,1) 0s 1 normal forwards;
}

footer {
    background-color: var(--background-color);
    min-height: 4em;
    padding: 2em;
    display: flex;
    align-items: center;
    justify-content: end;
}

footer > img {
    height: 2em;
    padding: 0 0.5em;
}

section {
    margin: 1em 0;
}

#content {
    display: flex;
    flex-direction: column;
    padding-top: 5em;
}

.title-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 6em 4em;
    margin-top: 1em;
}

big-card {
    padding: 2em;
    background-color: rgba(var(--hint-color), 0.5);
    border-radius: 2em;
}

@media screen and (max-width: 480px) {
    section, .title-section {
        padding-top: 0;
        padding-bottom: 2em;
    }
}

@media screen and (min-width: 600px) {
    .page-centered-content {
        padding: 0 6em;
    }
}


/************************************************

                    TYPEFACE

************************************************/

 h2, h3, h4, h5, h6, p,
.h2,.h3,.h4,.h5,.h6,.p {
    overflow-wrap: break-word;
}

h1 {
    font-size: 3.5rem;
    font-weight: 800;
    margin: 1em 0 0.30em 0;
}

h2,.h2 {
    font-size: 2rem;
    font-weight: 700;
    margin: 1em 0 0.30em 0;
}

h3,.h3 {
    font-size: 1.5rem;
    font-weight: 700;
    margin: 1em 0 0.3em 0;
}

h4,.h4 {
    font-size: 1.25rem;
    font-weight: 700;
    margin: 0.6em 0 0.3em 0;
}

h5,.h5 {
    font-size: 1rem;
    font-weight: 700;
    margin: 0.6em 0 0.6em 0;
}

h6,.h6 {
    font-size: 0.85rem;
    font-weight: 700;
    margin: 0.3em 0 0.3em 0;
}

p,.p {
    font-size: 1rem;
    font-weight: 400;
    margin: 1em 0;
    text-indent: 2em;
    /* text-align: justify; */
}

a {
    color: rgb(var(--main-color));
}

code {
    background-color: rgba(var(--hint-color), 0.5);
    border-radius: 8px;
    padding: 0.1em 0.25em 0.1em 0.25em;
}

pre {
    margin: 1em 0;
}

pre code {
    border-radius: 16px;
}

a::selection {
    color: rgb(var(--bg-color));
}

.text-hint {
    color: rgba(var(--text-color), 0.8);
}

.text-gradient {
	color: transparent;
	background-clip: text;
	/* white-space: nowrap; */
    word-wrap: break-word;
    /* word-break: break-all; */
}

.text-gradient::selection {
    background: rgb(var(--text-color));
    color: rgb(var(--bg-color));
}

.cpupv-gradient {
    background-image: linear-gradient(240deg, rgb(var(--logo-color-orange)), rgb(var(--logo-color-yellow)));
}

@media screen and (max-width: 480px) {
    h1 {font-size: 3rem;}
    h2 {font-size: 2rem;}
    h3 {font-size: 1.5rem;}
    h4 {font-size: 1.25rem;}
    h5 {font-size: 1rem;}
    h6 {font-size: 0.85rem;}
    p {font-size: 1rem;}
}

::selection {
    background: rgb(var(--sub-color));
}


/************************************************

                    MISC

************************************************/

ul {
    padding: 0.25em 0 0 1.5em;
}

li {
    padding: 0.2em 0 0.2em 0.5em;
}

.primary-button {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 16px;
    color: rgb(var(--light-text-color));
    text-transform: uppercase;
    font-weight: 600;
    border-radius: 1em;
    margin: 1em 0;
    padding: 1.5em 3em;
    max-width: 24em;
    box-shadow: 0 0 8px 0 rgb(var(--text-color), 0.25);
    text-decoration: none;
}

.small-primary-button {
    max-width: fit-content;
    height: 4em;
    font-size: 0.75em;
}

.primary-button icon {
    font-size: 1.5rem;
}

.primary-button:hover, .primary-button:active, .primary-button:focus {
    box-shadow: 0 0 8px 0 rgb(var(--main-color));
}

icon {
    font-family: bootstrap-icons;
    font-size: 2rem;
    fill-rule: nonzero;
    /* color: rgb(var(--main-color)); */
}

picture {
    display: flex;
    justify-content: center;
    align-items: center;
}

.grow { flex-grow: 2; }

.section-separator {
    user-select: none;
    color: rgb(var(--logo-color-orange));
    font-size: 1.5em;
    letter-spacing: 0.333em;
}

@media screen and (max-width: 600px) {
    .primary-button {
        min-width: 16em;
    }

    .small-primary-button {
        min-width: unset;
    }
}


/************************************************

                   MARKDOWN

************************************************/

.markdown img {
    max-width: 100%;
    max-height: 800px;
    width: 600px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    box-shadow: 0 0 8px 0 rgb(var(--text-color), 0.25);
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

.MathJax * {
    font-family: unset;
}

.markdown blockquote {
    background-color: rgba(var(--hint-color), 0.5);
    padding: 1em;
    border-left: 4px solid rgb(var(--sub-color));
}

ol p, .no-indent {
    text-indent: 0;
}


/************************************************

                   ANIMATIONS

************************************************/

@keyframes hide-header-anim {
    0% {top: 0;}
    100% {top: -5em;}
}

@keyframes show-header-anim {
    0% {top: -5em;}
    100% {top: 0;}
}